Skip to main content
POST
/
pipeline
/
{pipeline_id}
/
transform-group
cURL
curl --request POST \
  --url https://api.mezmo.com/v3/pipeline/{pipeline_id}/transform-group \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "transform_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "deploy_type": "saas",
  "inputs": [
    "<string>"
  ]
}
'

Documentation Index

Fetch the complete documentation index at: https://mezmo-9a59581a-mintlify-926f893d.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your token in the format: Token mytokengoeshere

Path Parameters

pipeline_id
string<uuid>
required

Body

application/json
transform_group_id
string<uuid>
required
deploy_type
enum<string>
default:saas
Available options:
saas,
local
inputs
string[]

A list of inputs for the given group. Typically this is empty when creating a new transform via the UI, but is leveraged by the terraform provider when managing pipeline state.

Response

200

Default Response